Summary:	A little globber
Name:		nodejs-glob
Version:	4.0.5
Release:	1
License:	ISC
Group:		Development/Libraries
Source0:	http://registry.npmjs.org/glob/-/glob-%{version}.tgz
# Source0-md5:	bca4be8504515a5d01d0205a20f9f8d6
URL:		https://github.com/isaacs/node-glob
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
Requires:	nodejs-inherits < 3
Requires:	nodejs-inherits >= 2
Requires:	nodejs-minimatch < 2
Requires:	nodejs-minimatch >= 1.0.0
Requires:	nodejs-once < 2
Requires:	nodejs-once >= 1.3.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a glob implementation in JavaScript. It uses the minimatch
library to do its matching.

%prep
%setup -qc
mv package/* .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{nodejs_libdir}/glob
cp -pr glob.js package.json $RPM_BUILD_ROOT%{nodejs_libdir}/glob

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{nodejs_libdir}/glob
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jan 10 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/nodejs-glob.git;a=log;h=master

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> dbaea69
- up to 4.0.5

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 194382e
- up to 4.0.2

* Sat Jan 09 2016 Elan Ruusamäe <glen@delfi.ee> 98b6162
- up to 3.2.10

* Fri Jan 08 2016 Elan Ruusamäe <glen@delfi.ee> df616b5
- up to 3.2.9

* Thu Mar 06 2014 Łukasz Kieś <kiesiu@pld-linux.org> 7c6dc19
- updated to 3.2.7

* Fri Mar 08 2013 Aria Stewart <aredridel@nbtsc.org> e6f52df
- 3.1.21

* Sat Feb 16 2013 Aria <aredridel@nbtsc.org> 0f0ffdc
- v3.1.20

* Mon Dec 03 2012 Aria Stewart <aredridel@nbtsc.org> 4a0457a
- Up to 3.1.14

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> fd283f5
- G: Development/Libraries

* Fri Jun 15 2012 Elan Ruusamäe <glen@pld-linux.org> f5b11c9
- new,
  based on src.rpm from http://nodejs.tchol.org/ repo

